# RPCs

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs

> List App RPCs

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs":{"get":{"tags":["SDK Apps / RPCs"],"summary":"List App RPCs","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"rpcs":{"type":"array","items":{}}}}}}}}}}}}
```

## POST /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs

> Create RPC

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs":{"post":{"tags":["SDK Apps / RPCs"],"summary":"Create RPC","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"connection":{"type":"string","nullable":true}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appRpc":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs/{SDK\_rpcName}

> Get RPC

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}":{"get":{"tags":["SDK Apps / RPCs"],"summary":"Get RPC","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appRpc":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"connection":{"type":"string"},"altConnection":{"type":"string"}}}}}}}}}}}}}
```

## Test RPC

> Tests the RPC\<br /><br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}":{"post":{"tags":["SDK Apps / RPCs"],"summary":"Test RPC","description":"Tests the RPC<br />\n","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","format":"utc-millisec"},"jidlo":{"type":"string"}}},"schema":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"type":{"type":"string"},"required":{"type":"boolean"}}}}}}}}},"responses":{"200":{"description":"Successful response"}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true}]}}}}
```

## DELETE /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs/{SDK\_rpcName}

> Delete RPC

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}":{"delete":{"tags":["SDK Apps / RPCs"],"summary":"Delete RPC","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appRpc":{"type":"string"}}}}}}}}}}}
```

## PATCH /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs/{SDK\_rpcName}

> Patch RPC

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}":{"patch":{"tags":["SDK Apps / RPCs"],"summary":"Patch RPC","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"label":{"type":"string"},"connection":{"type":"string","nullable":true},"altConnection":{"type":"string","nullable":true}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"appRpc":{"type":"object","properties":{"name":{"type":"string"},"label":{"type":"string"},"connection":{"type":"string"},"altConnection":{"type":"string"}}}}}}}}}}}}}
```

## GET /sdk/apps/{SDK\_appName}/{SDK\_appVersion}/rpcs/{SDK\_rpcName}/{SDK\_rpcSection}

> Get RPC Section

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}/{SDK_rpcSection}":{"get":{"tags":["SDK Apps / RPCs"],"summary":"Get RPC Section","parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcSection","in":"path","schema":{"type":"string","enum":["api","parameters"]},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string"},"qs":{"type":"object"},"body":{"type":"object"},"headers":{"type":"object"},"response":{"type":"object","properties":{"iterate":{"type":"string"},"output":{"type":"object","properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}}}}}}}}}
```

## Set RPC Section

> Available sections: api, parameters\<br /><br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"SDK Apps / RPCs"}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["sdk-apps:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/sdk/apps/{SDK_appName}/{SDK_appVersion}/rpcs/{SDK_rpcName}/{SDK_rpcSection}":{"put":{"tags":["SDK Apps / RPCs"],"summary":"Set RPC Section","description":"Available sections: api, parameters<br />\n","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"url":{"type":"string"},"method":{"type":"string"},"qs":{"type":"object"},"body":{"type":"object"},"headers":{"type":"object"},"response":{"type":"object","properties":{"iterate":{"type":"string"},"output":{"type":"object","properties":{"label":{"type":"string"},"value":{"type":"string"}}}}}}}}}},"parameters":[{"name":"SDK_appName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_appVersion","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcName","in":"path","schema":{"type":"string"},"required":true},{"name":"SDK_rpcSection","in":"path","schema":{"type":"string","enum":["api","parameters"]},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"change":{"type":"object","properties":{"id":{"type":"integer"},"group":{"type":"string"},"code":{"type":"string"},"oldValue":{"type":"object"},"newValue":{"type":"object"}}}}}}}}}}}}}
```
